<template>
	<view>
		<view class="card-box clearfix">
			<image class="card-bottom" src="/static/images/card_bottom.png" mode="widthFix"></image>
			<view class="hearder">
				<image src="../../static/images/userimg.png"></image>
			</view>
			<view class="user-name">杜平</view>
			<view class="user-tag ddflex">
				<view class="user-tag-item" v-for="item in 2">高级组经理</view>
			</view>
			<view class="pf">
				<view class="pf-title">综合评分</view>
				<uni-rate style="justify-content: center;" class="ddflex" color="#999999" active-color="#FF4600" :readonly="true" size="18" allow-half :value="4" />
			</view>
			<view class="user-data ddflex">
				<view>
					<view class="user-data-num">1678</view>
					<view class="user-data-label ddflex">
						<image src="/static/pages/images/fw_hui.png"></image>
						<view>服务客户</view>
					</view>
				</view>
				<view style="margin-left: 109rpx;">
					<view class="user-data-num">1678</view>
					<view class="user-data-label ddflex">
						<image src="/static/pages/images/cy_hui.png"></image>
						<view>保单件数</view>
					</view>
				</view>
				<view style="margin-left: 109rpx;">
					<view class="user-data-num">1678</view>
					<view class="user-data-label ddflex">
						<image src="/static/pages/images/dz_hui.png"></image>
						<view>点赞量</view>
					</view>
				</view>
			</view>
			<view class="user-des">
				本人拥有丰富的保险知识及行业经验，可为您和您的家庭提供专业合理的保障规划，让保险成为您生活的P士，免去您的后顾之忧，守护您的幸福人生。
			</view>
			<image class="user-code" src="/static/images/lj_img.png"></image>
			<view class="user-btn">
				选TA做专属顾问
			</view>
			<view class="user-btn-text" @click="jumpUrl('/card/cardFound/cardFound')">
				更多专属顾问>
			</view>
		</view>
	</view>
</template>

<script>
	const app = getApp();
	const req = require("../../utils/request.js");

	export default {
		components: {},
		props: {},
		data() {
			return {
				systems: {},
				isTop:0,
			}
		},
		onLoad(options) {
		},
		onShow() {
			
		},
		methods: {
			jumpUrl(url){
				uni.navigateTo({
					url:url
				})
			}
		},
		mounted() {
			const systemInfo = uni.getSystemInfoSync();
			// px转换到rpx的比例
			let pxToRpxScale = 750 / systemInfo.windowWidth;
			let systems = {
				ktxStatusHeight: systemInfo.statusBarHeight * pxToRpxScale, // 状态栏的高度
				navigationHeight: 44 * pxToRpxScale // 导航栏的高度
			};
			systems.barHeight = systems.ktxStatusHeight + systems.navigationHeight;
			this.systems = systems;
		},
		onPageScroll: function(e) {
			if (e.scrollTop > this.systems.barHeight) {
				this.isTop = 1;
			} else {
				this.isTop = 0;
			}
		}
	}
</script>

<style>
	@import "./cardDetail.css";
</style>